package com.sinenux.yshub;

import com.dream.boot.bean.ConfigurationBean;
import com.dream.drive.listener.DebugListener;
import com.dream.flex.annotation.FlexAPT;
import com.dream.system.core.listener.Listener;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.core.env.ConfigurableEnvironment;
import org.springframework.core.env.StandardEnvironment;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

@MapperScan("com.sinenux.yshub.mapper")
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class HubApplication {

    public static void main(String[] args) {
        // 创建一个SpringApplication实例
        SpringApplication app = new SpringApplication(HubApplication.class);

        // 读取环境变量，使用spring boot的规则
        ConfigurableEnvironment environment = new StandardEnvironment();

        // 检查是否存在名为 "spring.profiles.active" 的环境属性，如果不存在，则设置为 "dev"
        if (environment.getProperty("spring.profiles.active") == null) {
            app.setDefaultProperties(Collections.singletonMap("spring.profiles.active", "dev"));
        }

        // 启动应用程序
        app.run(args);
    }

}
