package com.sinenux.yshub.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.SimpleMongoClientDatabaseFactory;

@Slf4j
@Configuration
public class MongoConfig {

    @Value("${MONGODB_URI}")
    private String mongodbUri;

    @Bean
    public SimpleMongoClientDatabaseFactory mongoDbFactory() {
        log.info("SN-HUB ===================== 获取到的 mongodbUri 为 {}", mongodbUri);
        return new SimpleMongoClientDatabaseFactory(mongodbUri);

    }

    @Bean
    public MongoTemplate mongoTemplate() {
        return new MongoTemplate(mongoDbFactory());
    }

}
