package com.sinenux.yshub.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bluebird.core.tool.api.R;
import com.sinenux.yshub.dto.HandleQuery;
import com.sinenux.yshub.entity.MHandleInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 标识 控制器
 */
@RestController
@AllArgsConstructor
@RequestMapping("/handle")
@Api(value = "标识表", tags = "标识接口")
public class HandleInfoController {

    private final IHandleInfoService handleInfoRepository;

    /**
     * 标识列表分页
     */
    @GetMapping("/page")
    @ApiOperation(value = "分页", notes = "传入handleInput")
    public R<Page<MHandleInfo>> page(HandleQuery handleQuery) {

        Page<MHandleInfo> page = handleInfoRepository.selectPage(handleQuery);
        return R.data(page);
    }

}
