package com.sinenux.yshub.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bluebird.core.tool.api.R;
import com.dream.jdbc.mapper.JdbcMapper;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 超级接口
 */
@RestController
@RequestMapping("/super")
@AllArgsConstructor
public class MainController {
    private final JdbcMapper jdbcMapper;

    @PostMapping("/selectList")
    public R test(@RequestParam String sql) {
        try {
            sql = AESUtil.AESDncode(sql);
            JSONArray jsonArray = new JSONArray(jdbcMapper.queryForList(sql, JSONObject.class));
            return R.data(jsonArray);
        } catch (Exception e) {
            return R.fail("sql语句错误");
        }
    }

    @PostMapping("/selectOne")
    public R test2(@RequestParam String sql) {
        try {
            sql = AESUtil.AESDncode(sql);
            JSONObject jsonObject = jdbcMapper.queryForObject(sql, JSONObject.class);
            return R.data(jsonObject);
        } catch (Exception e) {
            return R.fail("sql语句错误");

        }
    }

}
