package com.sinenux.yshub.controller;

import com.bluebird.core.tool.api.R;
import com.bluebird.core.tool.utils.Func;
import com.sinenux.yshub.dto.IdentityTemplateQuery;
import com.sinenux.yshub.entity.IdentityTemplate;
import com.sinenux.yshub.entity.IdentityTemplateItem;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * 标识模板 控制器
 */
@RestController
@RequestMapping("/template")
@AllArgsConstructor
public class TemplateController {
    private final IIdentityTemplateService identityTemplateService;
    private final IIdentityTemplateItemService identityTemplateItemService;

    @GetMapping("/list")
    public R test(IdentityTemplateQuery identityTemplate) {
        List<IdentityTemplate> identityTemplates = identityTemplateService.queryContent(identityTemplate);
        return R.data(identityTemplates);
    }

    @GetMapping("/list/item")
    public R test2(IdentityTemplateItem identityTemplateItem) {
        List<IdentityTemplateItem> list = identityTemplateService.queryContentItem(identityTemplateItem);
        return R.data(list);
    }

    @GetMapping("/list/item/date")
    public R test3(Date startDate, Date endDate) {
        List<IdentityTemplateItem> list = identityTemplateItemService.lambdaQuery()
                .ge(Func.isNotEmpty(startDate), IdentityTemplateItem::getUpdateDate, startDate)
                .le(Func.isNotEmpty(endDate), IdentityTemplateItem::getUpdateDate, endDate)
                .list();
        return R.data(list);
    }

}
