package com.sinenux.yshub.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 标识模板 查询类
 *
 * @author laifeng
 * @since 2023-11-27
 */
@Data
public class IdentityTemplateQuery {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 描述
     */
    private String description;

    /**
     * 企业前缀
     */
    private String prefix;

    /**
     * 版本型号
     */
    private String version;

    /**
     * 标识模板
     */
    private String handle;

    /**
     * 行业门类
     */
    private String industryCategory;
    /**
     * 行业大类
     */
    private String industrySpecific;

    /**
     * 行业中类
     */
    private String industryTrade;

    /**
     * 行业小类
     */
    private String industrySubclass;

    /**
     * 模板类型
     */
    private Integer type;

    /**
     * 是否删除
     */
    private Integer isDeleted;

    /**
     * 开始时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private String startDate;

    /**
     * 结束时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private String endDate;
}
