package com.sinenux.yshub.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 企业前缀 实体类（只写了部分字段）
 *
 * @author cgm
 * @since 2021-09-01
 */
@Data
@TableName("nbms_ent_prefix")
@ApiModel(value = "AliIotConfig对象", description = "云对接-阿里云物联网配置表")
public class EnterprisePrefix {

    /**
     * 主键Id
     */
    @JsonSerialize(
            using = ToStringSerializer.class
    )
    @ApiModelProperty("主键Id")
    @TableId(
            value = "id"
    )
    private Long id;


    /**
     * 创建时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @ApiModelProperty(value = "创建时间", hidden = true)
    private Date createDate;


    /**
     * 更新时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @ApiModelProperty(value = "更新时间", hidden = true)
    private Date updateDate;

    /**
     * 业务状态
     */
    @ApiModelProperty(value = "状态是否有效 1启用2停用")
    private Integer state;
    /**
     * 标识前缀
     */
    @ApiModelProperty(value = "标识前缀")
    private String entPrefix;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String entName;
}
