package com.sinenux.yshub.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 标识模板 实体类
 *
 * @author laifeng
 * @since 2023-11-27
 */
@Data
@TableName("nbms_identity_template")
@ApiModel(value = "nbms_identity_template对象", description = "标识模板")
public class IdentityTemplate {

    /**
     * 主键id
     */
    @TableId(
            value = "id"
    )
    private Long id;
    /**
     * 描述
     */
    private String description;

    /**
     * 企业前缀
     */
    private String prefix;

    /**
     * 版本型号
     */
    private String version;

    /**
     * 标识模板
     */
    private String handle;

    /**
     * 行业门类
     */
    private String industryCategory;
    /**
     * 行业大类
     */
    private String industrySpecific;

    /**
     * 行业中类
     */
    private String industryTrade;

    /**
     * 行业小类
     */
    private String industrySubclass;

    /**
     * 模板类型
     */
    private Integer type;

    /**
     * 是否删除
     */
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createDate;

    /**
     * 更新时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateDate;
}
