package com.sinenux.yshub.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 标识模板内容 实体类
 *
 * @author laifeng
 * @since 2023-11-27
 */
@Data
@TableName("nbms_identity_template_item")
@ApiModel(value = "nbms_identity_template对象", description = "标识模板内容")
public class IdentityTemplateItem {

    /**
     * 主键id
     */
    @TableId(
            value = "id"
    )
    private Long id;
    /**
     * 权限码
     */
    private String authorizationKey;
    /**
     * 下标
     */
    private Integer idIndex;
    /**
     * 英文名称
     */
    private String idType;
    /**
     * 中文名称
     */
    private String name;

    /**
     * 模板id
     */
    private Long tid;

    /**
     * 禁用状态（0：禁用 1：启用）
     */
    private Integer state;

    /**
     * 创建时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date createDate;

    /**
     * 更新时间
     */
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date updateDate;
}
