package com.sinenux.yshub.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.io.Serializable;
import java.util.Date;

/**
 * 标识Mongo实体类（只写了部份字段）
 *
 * @author laifeng
 * @date 2023-3-24
 */
@Data
@Document("handle_info")
@ApiModel(value = "handle_info对象", description = "标识统计表")
public class MHandleInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 企业前缀
     */
    @ApiModelProperty("企业前缀")
    private String prefix;

    /**
     * 二级前缀
     */
    @ApiModelProperty("二级前缀")
    private String subPrefix;

    /**
     * 标识名称
     */
    @ApiModelProperty("标识名称")
    @Field("handle_name")
    private String handleName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", hidden = true)
    @Field("create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", hidden = true)
    @Field("update_time")
    private Date updateTime;
}
