package com.sinenux.yshub.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bluebird.core.tool.utils.DateUtil;
import com.sinenux.yshub.entity.EnterprisePrefix;
import com.sinenux.yshub.mapper.EnterprisePrefixMapper;
import com.sinenux.yshub.service.IEnterprisePrefixService;
import com.sinenux.yshub.utils.MyDateUtil;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
@AllArgsConstructor
public class EnterprisePrefixServiceImpl extends ServiceImpl<EnterprisePrefixMapper, EnterprisePrefix> implements IEnterprisePrefixService {
    private final EnterprisePrefixMapper enterprisePrefixMapper;

    @Override
    public List<EnterprisePrefix> getTop10() {
        List<EnterprisePrefix> list = this.lambdaQuery().eq(EnterprisePrefix::getState, 1)
                .orderByDesc(EnterprisePrefix::getCreateDate)
                .last("limit 10")
                .list();
        return list;
    }

    @Override
    public Map<String, Object> prefixStatistics() {
        Date date = MyDateUtil.getDateOfHour(DateUtil.now());

        Long totalCount = this.lambdaQuery()
                .eq(EnterprisePrefix::getState, 1)
                .count();
        Long yesterdayCount = this.lambdaQuery()
                .eq(EnterprisePrefix::getState, 1)
                .lt(EnterprisePrefix::getCreateDate, date)
                .count();
        HashMap<String, Object> map = new HashMap<>();
        map.put("totalCount", totalCount);
        map.put("yesterdayCount", yesterdayCount);
        map.put("increaseCount", totalCount - yesterdayCount);
        return map;
    }
}
